"use strict";

var _flattenRoutes = _interopRequireDefault(require("../flattenRoutes"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('flattenRoutes', function () {
  it('flattens nested arrays', function () {
    var input = [[{
      path: '/',
      name: 'homepage',
      page: 'Homepage'
    }], [[{
      path: '/es/',
      name: 'homepage',
      page: 'Homepage'
    }]]];
    var expected = [{
      path: '/',
      name: 'homepage',
      page: 'Homepage'
    }, {
      path: '/es/',
      name: 'homepage',
      page: 'Homepage'
    }];
    expect((0, _flattenRoutes.default)(input)).toEqual(expected);
  });
  it('should do nothing to already flattened routes', function () {
    var input = [{
      path: '/',
      name: 'homepage',
      page: 'Homepage'
    }, [{
      path: '/es/',
      name: 'homepage',
      page: 'Homepage'
    }]];
    expect((0, _flattenRoutes.default)((0, _flattenRoutes.default)(input))).toEqual((0, _flattenRoutes.default)(input));
  });
});